Bug 99518 - Trendline equation in status bar always uses dot as decimal separator
Summary: Trendline equation in status bar always uses dot as decimal separator
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low normal
Assignee: Laurent BP
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-26 16:27 UTC by Laurent BP
Modified: 2016-10-25 19:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example of trendline with equation (14.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-04-26 16:27 UTC, Laurent BP
Details
Screenshot to compare equation in chart and equation in status in French environment (20.81 KB, image/png)
2016-04-26 16:29 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-04-26 16:27:46 UTC
Created attachment 124655 [details]
Example of trendline with equation

Description: Trendline equation appears in status if you select trendline. Its equation always use dot as decimal separator, whatever the language used

Steps to reproduce:
1. Select a UI language which use a decimal separator different from dot. For instance French uses comma.
2. Create a chart and insert a trendline, see attachment
3. Select trendline

Actual behavior:
Trendline equation in the chart has correct decimal separator, but equation in status is using dot as decimal separator

Expected behavior:
Equation in status bar should use the correct decimal separator.
Comment 1 Laurent BP 2016-04-26 16:29:57 UTC
Created attachment 124656 [details]
Screenshot to compare equation in chart and equation in status in French environment
Comment 2 Commit Notification 2016-04-27 00:33:31 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe2bf7b05936bb3e84ccc5ddc3dad865a22de551

tdf#99518 Use correct decimal separator

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.